Page MenuHomePhabricator

FY2017-18 Program 4 Outcome 1: improve documentation
Closed, ResolvedPublic

Description

Program

Technical community building

Goal

We will expand and strengthen our technical communities, focusing on understanding their needs and measuring the progress and outcome of our efforts. In particular, we will focus on three traditionally underserved communities: tool and bot developers; API and data consumers; and third-party users of our software.

Outcome

Becoming a technical contributor to the Wikimedia movement by creating and maintaining 'tools' (bots, webservices, etc) and other innovative solutions is easier than it has been historically because documentation is easier to find, more comprehensive, and descriptive of start to finish steps needed to solve common problems. Cloud Services product users feel comfortable sharing their knowledge with others as part of a community with a culture of sharing via documentation and mutual support.

Objectives, Activities, Milestones, and Targets

  • Objective 1: Collaborate with community to find volunteers willing to form a documentation Special Interest Group to update documentation of existing Cloud Services products
  • Objective 2: Create tutorial content for common issues including but not limited to: creating initial account, deploying a functional web service, deploying a functional bot, and running periodic jobs with variations. Where applicable, produce variants for more than one implementation language (e.g. PHP, Python, etc).
    • Milestone 1: Hire a technical writing contractor
    • Milestone 2: Users are able to find documentation they need. Agree/Disagree answer ratio for "Documentation is easy to find" annual developer survey question improves compared to prior surveys.
  • Objective 3: (Added in Q3) Increase community awareness of volunteer developed Tools
    • Milestone 1: Hire a Product Manager contractor
    • Milestone 2: Document audiences and use cases for a Wikimedia Tools catalog
    • Milestone 3: (not final) Document future product roadmap for a Wikimedia Tools catalog including community building steps

Event Timeline

bd808 created this task.May 26 2017, 5:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 26 2017, 5:48 PM
bd808 updated the task description. (Show Details)May 26 2017, 5:51 PM
bd808 renamed this task from Program 4 Outcome 1: improve Cloud Services documentation to Program 4 Outcome 1: improve documentation.May 26 2017, 6:02 PM
bd808 triaged this task as Medium priority.May 26 2017, 6:06 PM
Harej added a subscriber: Harej.Jun 7 2017, 7:46 PM

@bd808 I don't know how you all feel about this, but the rule of thumb I am following in Research-Programs (currently being populated) is to create just the program and objective level, to avoid cluttering up our boards with intermediate "outcome" levels, that are relevant for the annual plan but less so for tracking/planning.

bd808 added a comment.Jul 21 2017, 3:20 AM

Almost all of the Cloud Services outcomes are multi-quarter or perpetual projects, so I made tracking tasks for each of them and then expect to tie other more actionable project tasks to them each quarter. For the work that other teams/owners are contributing to the program I don't have strong feelings about how things are tracked. I just need to be able understand the expectations and progress well enough to report up to Victoria as asked and eventually the movement via the quarterly reviews.

Qgil moved this task from To triage to Team radar on the Developer-Advocacy board.
bd808 closed this task as Resolved.Nov 6 2018, 11:10 PM
bd808 claimed this task.
Aklapper renamed this task from Program 4 Outcome 1: improve documentation to FY2017-18 Program 4 Outcome 1: improve documentation.Apr 10 2020, 11:36 AM